LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
main.h File Reference
`#include "sal/config.h"`
`#include "sal/saldllapi.h"`
`#include "sal/types.h"`

Go to the source code of this file.

## Macros
#define | SAL_MAIN_WITH_ARGS_IMPL
#define | SAL_MAIN_IMPL
#define | SAL_WIN_WinMain
#define | SAL_IMPLEMENT_MAIN_WITH_ARGS(_argc_, _argv_)
#define | SAL_IMPLEMENT_MAIN()

## Functions
SAL_DLLPUBLIC void | sal_detail_initialize (int argc, char **argv)
SAL_DLLPUBLIC void | sal_detail_deinitialize (void)

## Macro Definition Documentation

## ◆ SAL_IMPLEMENT_MAIN

#define SAL_IMPLEMENT_MAIN | ( |  | ) |

Value:
static int SAL_CALL sal_main(void); \
SAL_MAIN_IMPL \
SAL_WIN_WinMain \
static int SAL_CALL sal_main(void)

## ◆ SAL_IMPLEMENT_MAIN_WITH_ARGS

#define SAL_IMPLEMENT_MAIN_WITH_ARGS | ( |  | _argc_,
|  |  | _argv_ )

Value:
static int SAL_CALL sal_main_with_args (int _argc_, char ** _argv_); \
SAL_MAIN_WITH_ARGS_IMPL \
SAL_WIN_WinMain \
static int SAL_CALL sal_main_with_args(int _argc_, char ** _argv_)

## ◆ SAL_MAIN_IMPL

#define SAL_MAIN_IMPL

Value:
int SAL_DLLPUBLIC_EXPORT SAL_CALL main(int argc, char ** argv) \
{ \
int ret; \
sal_detail_initialize(argc, argv); \
ret = sal_main(); \
sal_detail_deinitialize(); \
return ret; \
}

## ◆ SAL_MAIN_WITH_ARGS_IMPL

#define SAL_MAIN_WITH_ARGS_IMPL

Value:
int SAL_DLLPUBLIC_EXPORT SAL_CALL main(int argc, char ** argv) \
{ \
int ret; \
sal_detail_initialize(argc, argv); \
ret = sal_main_with_args(argc, argv); \
sal_detail_deinitialize(); \
return ret; \
}

## ◆ SAL_WIN_WinMain

#define SAL_WIN_WinMain

## Function Documentation

## ◆ sal_detail_deinitialize()

SAL_DLLPUBLIC void sal_detail_deinitialize | ( | void |  | ) |

## ◆ sal_detail_initialize()

SAL_DLLPUBLIC void sal_detail_initialize | ( | int | argc,
|  | char ** | argv )